## org.irisa.genouest.logol
Class Constants

    java.lang.Object
      org.irisa.genouest.logol.Constants

    public class Constants

extends java.lang.Object

Constants use in classes for Grammar analysis

Author:
  osallou

Field Summary
`static java.lang.String` `ANY`
`static int` `BEGINCONSTRAINT`
`static java.lang.String` `BEGINSIGN`
`static int` `CONTENTCONSTRAINT`
`static java.lang.String` `CONTENTSIGN`
`static int` `COSTCONSTRAINT`
`static java.lang.String` `COSTSIGN`
`static int` `DIR_ALL`
`static int` `DIR_PLUS`
`static int` `DISTANCECONSTRAINT`
`static java.lang.String` `DISTANCESIGN`
`static int` `DNA`
`static java.lang.String` `EMPTYSTRING`
`static int` `ENDCONSTRAINT`
`static java.lang.String` `ENDSIGN`
`static java.lang.String` `EXTERNAL`
`static java.lang.String` `EXTERNALSIGN`
`static java.lang.String` `FILESEPARATORPROPERTY`
`static java.lang.String` `INTER`
`static int` `LENGTHCONSTRAINT`
`static java.lang.String` `LENGTHSIGN`
`static java.lang.String` `LOGOLVAR`
`static java.lang.String` `LOGOLVARAFTER`
`static java.lang.String` `LOGOLVARBEFORE`
`static java.lang.String` `LOGOLVARBEGIN`
`static java.lang.String` `LOGOLVARCONTENT`
`static java.lang.String` `LOGOLVARDATA`
`static java.lang.String` `LOGOLVAREND`
`static java.lang.String` `LOGOLVARERRORS`
`static java.lang.String` `LOGOLVARINDEL`
`static java.lang.String` `LOGOLVARINFO`
`static java.lang.String` `LOGOLVARPARENT`
`static java.lang.String` `LOGOLVARPARENTREF`
`static java.lang.String` `LOGOLVARPOSITION`
`static java.lang.String` `LOGOLVARPOSTPONEPRED`
`static java.lang.String` `LOGOLVARPRED`
`static java.lang.String` `LOGOLVARREF`
`static java.lang.String` `LOGOLVARSIZE`
`static java.lang.String` `LOGOLVARSPACER`
`static java.lang.String` `LOGOLVARTMP`
`static java.lang.String` `MAXDISTANCE`
`static java.lang.String` `MINDISTANCE`
`static int` `MODIFIERCOST`
`static int` `MODIFIERMORPHMINUS`
`static int` `MODIFIERMORPHPLUS`
`static java.lang.String` `NBOCCUR`
`static java.lang.String` `OP_AND`
`static java.lang.String` `OP_OR`
`static java.lang.String` `OP_OVERLAP`
`static int` `PARENTCONTENTCONSTRAINT`
`static int` `PERCENTCOSTCONSTRAINT`
`static int` `PERCENTDISTANCECONSTRAINT`
`static java.lang.String` `POSTPONED`
`static int` `PROTEIN`
`static int` `REPEATCONSTRAINT`
`static int` `RNA`
`static int` `SAVECONSTRAINT`
`static java.lang.String` `SEPARATOR`
`static java.lang.String` `SEQUENCELength`
`static int` `VAR_ANALYSIS_STEP`
`static java.lang.String` `VERSION`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### VAR_ANALYSIS_STEP

    public static final int VAR_ANALYSIS_STEP

See Also:
  Constant Field Values

### DNA

    public static final int DNA

See Also:
  Constant Field Values

### RNA

    public static final int RNA

See Also:
  Constant Field Values

### PROTEIN

    public static final int PROTEIN

See Also:
  Constant Field Values

### SEPARATOR

    public static final java.lang.String SEPARATOR

See Also:
  Constant Field Values

### FILESEPARATORPROPERTY

    public static final java.lang.String FILESEPARATORPROPERTY

See Also:
  Constant Field Values

### EMPTYSTRING

    public static final java.lang.String EMPTYSTRING

See Also:
  Constant Field Values

### ANY

    public static final java.lang.String ANY

See Also:
  Constant Field Values

### COSTSIGN

    public static final java.lang.String COSTSIGN

See Also:
  Constant Field Values

### DISTANCESIGN

    public static final java.lang.String DISTANCESIGN

See Also:
  Constant Field Values

### LENGTHSIGN

    public static final java.lang.String LENGTHSIGN

See Also:
  Constant Field Values

### CONTENTSIGN

    public static final java.lang.String CONTENTSIGN

See Also:
  Constant Field Values

### BEGINSIGN

    public static final java.lang.String BEGINSIGN

See Also:
  Constant Field Values

### ENDSIGN

    public static final java.lang.String ENDSIGN

See Also:
  Constant Field Values

### EXTERNALSIGN

    public static final java.lang.String EXTERNALSIGN

See Also:
  Constant Field Values

### CONTENTCONSTRAINT

    public static final int CONTENTCONSTRAINT

See Also:
  Constant Field Values

### BEGINCONSTRAINT

    public static final int BEGINCONSTRAINT

See Also:
  Constant Field Values

### ENDCONSTRAINT

    public static final int ENDCONSTRAINT

See Also:
  Constant Field Values

### LENGTHCONSTRAINT

    public static final int LENGTHCONSTRAINT

See Also:
  Constant Field Values

### COSTCONSTRAINT

    public static final int COSTCONSTRAINT

See Also:
  Constant Field Values

### PERCENTCOSTCONSTRAINT

    public static final int PERCENTCOSTCONSTRAINT

See Also:
  Constant Field Values

### DISTANCECONSTRAINT

    public static final int DISTANCECONSTRAINT

See Also:
  Constant Field Values

### PERCENTDISTANCECONSTRAINT

    public static final int PERCENTDISTANCECONSTRAINT

See Also:
  Constant Field Values

### SAVECONSTRAINT

    public static final int SAVECONSTRAINT

See Also:
  Constant Field Values

### PARENTCONTENTCONSTRAINT

    public static final int PARENTCONTENTCONSTRAINT

See Also:
  Constant Field Values

### REPEATCONSTRAINT

    public static final int REPEATCONSTRAINT

See Also:
  Constant Field Values

### MODIFIERCOST

    public static final int MODIFIERCOST

See Also:
  Constant Field Values

### MODIFIERMORPHPLUS

    public static final int MODIFIERMORPHPLUS

See Also:
  Constant Field Values

### MODIFIERMORPHMINUS

    public static final int MODIFIERMORPHMINUS

See Also:
  Constant Field Values

### LOGOLVAR

    public static final java.lang.String LOGOLVAR

See Also:
  Constant Field Values

### LOGOLVARREF

    public static final java.lang.String LOGOLVARREF

See Also:
  Constant Field Values

### LOGOLVARCONTENT

    public static final java.lang.String LOGOLVARCONTENT

See Also:
  Constant Field Values

### LOGOLVARBEGIN

    public static final java.lang.String LOGOLVARBEGIN

See Also:
  Constant Field Values

### LOGOLVAREND

    public static final java.lang.String LOGOLVAREND

See Also:
  Constant Field Values

### LOGOLVARSIZE

    public static final java.lang.String LOGOLVARSIZE

See Also:
  Constant Field Values

### LOGOLVARBEFORE

    public static final java.lang.String LOGOLVARBEFORE

See Also:
  Constant Field Values

### LOGOLVARAFTER

    public static final java.lang.String LOGOLVARAFTER

See Also:
  Constant Field Values

### LOGOLVARPARENTREF

    public static final java.lang.String LOGOLVARPARENTREF

See Also:
  Constant Field Values

### LOGOLVARSPACER

    public static final java.lang.String LOGOLVARSPACER

See Also:
  Constant Field Values

### LOGOLVARDATA

    public static final java.lang.String LOGOLVARDATA

See Also:
  Constant Field Values

### LOGOLVARTMP

    public static final java.lang.String LOGOLVARTMP

See Also:
  Constant Field Values

### LOGOLVARINFO

    public static final java.lang.String LOGOLVARINFO

See Also:
  Constant Field Values

### LOGOLVARPARENT

    public static final java.lang.String LOGOLVARPARENT

See Also:
  Constant Field Values

### LOGOLVARERRORS

    public static final java.lang.String LOGOLVARERRORS

See Also:
  Constant Field Values

### LOGOLVARINDEL

    public static final java.lang.String LOGOLVARINDEL

See Also:
  Constant Field Values

### LOGOLVARPOSITION

    public static final java.lang.String LOGOLVARPOSITION

See Also:
  Constant Field Values

### LOGOLVARPRED

    public static final java.lang.String LOGOLVARPRED

See Also:
  Constant Field Values

### LOGOLVARPOSTPONEPRED

    public static final java.lang.String LOGOLVARPOSTPONEPRED

See Also:
  Constant Field Values

### POSTPONED

    public static final java.lang.String POSTPONED

See Also:
  Constant Field Values

### EXTERNAL

    public static final java.lang.String EXTERNAL

See Also:
  Constant Field Values

### SEQUENCELength

    public static final java.lang.String SEQUENCELength

See Also:
  Constant Field Values

### INTER

    public static final java.lang.String INTER

See Also:
  Constant Field Values

### NBOCCUR

    public static final java.lang.String NBOCCUR

See Also:
  Constant Field Values

### MINDISTANCE

    public static final java.lang.String MINDISTANCE

See Also:
  Constant Field Values

### MAXDISTANCE

    public static final java.lang.String MAXDISTANCE

See Also:
  Constant Field Values

### DIR_ALL

    public static final int DIR_ALL

See Also:
  Constant Field Values

### DIR_PLUS

    public static final int DIR_PLUS

See Also:
  Constant Field Values

### OP_AND

    public static final java.lang.String OP_AND

See Also:
  Constant Field Values

### OP_OR

    public static final java.lang.String OP_OR

See Also:
  Constant Field Values

### OP_OVERLAP

    public static final java.lang.String OP_OVERLAP

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()